package zigen.plugin.db.ext.s2jdbc.form;

import zigen.plugin.db.ext.s2jdbc.ICodeGenerator;
import zigen.plugin.db.ext.s2jdbc.ui.DefaultGenerateAction;
import zigen.plugin.db.ui.internal.ITable;

public class GenerateFormAction extends DefaultGenerateAction {

    public ICodeGenerator createClassCreator(ITable table, String rootPackageName) {
        return new FormGenerator(table);
    }

    public String getMessage() {
        return Messages.getString("GenerateFormAction.Message"); //$NON-NLS-1$
    }

    public String getTitle() {
        return Messages.getString("GenerateFormAction.Title"); //$NON-NLS-1$
    }

}
